<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

namespace Plesk\MigrationLibV8\SiteImport;

class SessionFiles extends \Plesk\MigrationLibV8\Common\SessionFiles
{
    /**
     * @return string
     */
    public function getStatusFilePath()
    {
        return $this->_session->getPath() . DIRECTORY_SEPARATOR . 'site_migration_status.json';
    }

    /**
     * Get full path to file with the migration list.
     *
     * @param $suffix
     * @return string
     */
    public function getSiteMigrationListPath($suffix)
    {
        if (!is_null($suffix)) {
            $filename = "site_migration_list_{$suffix}.json";
        } else {
            $filename = 'site_migration_list.json';
        }
        return $this->_session->getPath() . DIRECTORY_SEPARATOR . $filename;
    }

    /**
     * Get full path to file with the site info.
     *
     * @return string
     */
    public function getSiteInfoFilePath()
    {
        return $this->_session->getPath() . DIRECTORY_SEPARATOR . 'site_info.json';
    }
}
